package com.miaxis.icon.mapper;

import java.util.List;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.miaxis.icon.domain.IconCategory;

/**
 * 题目图标Mapper接口
 *
 * @author miaxis
 * @date 2022-08-02
 */
public interface IconCategoryMapper extends BaseMapper<IconCategory> {
    /**
     * 查询题目图标列表
     *
     * @param iconCategory 题目图标
     * @return 题目图标集合
     */
    public List<IconCategory> selectIconCategoryList(IconCategory iconCategory);

}
