package com.miaxis.icon.service;

import java.util.List;
import com.miaxis.icon.domain.IconCategoryImage;
import com.baomidou.mybatisplus.extension.service.IService;

/**
 * 题目图标Service接口
 *
 * @author miaxis
 * @date 2022-08-02
 */
public interface IIconCategoryImageService extends IService<IconCategoryImage>{
    /**
     * 查询题目图标列表
     *
     * @param iconCategoryImage 题目图标
     * @return 题目图标集合
     */
    public List<IconCategoryImage> selectIconCategoryImageList(IconCategoryImage iconCategoryImage);
}
