package com.miaxis.question.mapper;


import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.miaxis.question.domain.QuestionThreeWrong;
import com.miaxis.question.domain.QuestionWrong;
import com.miaxis.question.dto.QuestionThreeWrongListDTO;
import com.miaxis.question.dto.QuestionWrongListDTO;
import com.miaxis.question.vo.QuestionWrongIdDateVo;

import java.util.List;

/**
 * wrongMapper接口
 *
 * @author miaxis
 * @date 2021-08-19
 */
public interface QuestionThreeWrongMapper extends BaseMapper<QuestionThreeWrong> {
    /**
     * 查询wrong列表
     *
     * @param questionThreeWrong wrong
     * @return wrong集合
     */
    List<QuestionThreeWrong> selectQuestionThreeWrongList(QuestionThreeWrongListDTO questionThreeWrong);

    List<QuestionWrongIdDateVo> selectThreeWrongIdByUserId(QuestionThreeWrongListDTO dto);

    Integer selectThreeWrongCountByUserId(QuestionWrongListDTO dto);
}
