package com.miaxis.question.service;


import com.baomidou.mybatisplus.extension.service.IService;
import com.miaxis.question.domain.QuestionThreeWrong;
import com.miaxis.question.dto.QuestionThreeWrongListDTO;
import com.miaxis.question.dto.QuestionWrongListDTO;
import com.miaxis.question.vo.QuestionWrongIdDateVo;

import java.util.List;

/**
 * wrongService接口
 *
 * @author miaxis
 * @date 2021-08-19
 */
public interface IQuestionThreeWrongService extends IService<QuestionThreeWrong> {
    /**
     * 查询wrong列表
     *
     * @param questionThreeWrong wrong
     * @return wrong集合
     */
    List<QuestionThreeWrong> selectQuestionThreeWrongList(QuestionThreeWrongListDTO questionThreeWrong);


    List<QuestionWrongIdDateVo> selectThreeWrongIdByUserId(QuestionThreeWrongListDTO dto);

    Integer selectThreeWrongCountByUserId(QuestionWrongListDTO dto);
}
