package com.miaxis.question.dto;


import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * collection对象 question_collection
 *
 * @author miaxis
 * @date 2021-08-18
 */
@Data
public class QuestionCollectionDTO {

    private static final long serialVersionUID = 1L;



    /** 题目ID */
    @ApiModelProperty(value = "题目ID",required=true)
    private Long questionId;

    /** 科目 */
    @ApiModelProperty(value = "考试科目（1、2、3、4）",required=true)
    private Integer km;



}
