package com.miaxis.question.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.miaxis.question.domain.QuestionColumn;

import java.util.List;

/**
 * 题库分类Mapper接口
 *
 * @author miaxis
 * @date 2023-11-03
 */
public interface QuestionColumnMapper extends BaseMapper<QuestionColumn> {
    /**
     * 查询题库分类列表
     *
     * @param questionColumn 题库分类
     * @return 题库分类集合
     */
    public List<QuestionColumn> selectQuestionColumnList(QuestionColumn questionColumn);

}
