package com.miaxis.wx.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.miaxis.wx.domain.WxForeverCode;

import java.util.List;

/**
 * 微信永久二维码口令Service接口
 *
 * @author miaxis
 * @date 2022-01-17
 */
public interface IWxForeverCodeService extends IService<WxForeverCode>{
    /**
     * 查询微信永久二维码口令列表
     *
     * @param wxForeverCode 微信永久二维码口令
     * @return 微信永久二维码口令集合
     */
    public List<WxForeverCode> selectWxForeverCodeList(WxForeverCode wxForeverCode);
}
